require 'claide'

module OrmDev
  class Command < CLAide::Command

    require 'ormdev/command/setup'
    require 'ormdev/command/create'
    require 'ormdev/command/update'
    require 'ormdev/command/lint'
    require 'ormdev/command/run'
    require 'ormdev/command/publish'
    require 'ormdev/command/support'

    self.abstract_command = true
    self.command = 'ormdev'
    self.version = OrmDev::VERSION
    self.description = 'OriginalM —— 混合模式移动应用（Hybrid App）持续集成（Continuous Integration）工具包，用于构建、编译、测试、分发、部署的工具。'

    def run
      OrmDev::LogUtil.info '* 开始执行OrmDev … *'
    end

  end
end