require 'cocoapods'

require_relative '../source/util/sh_util'

module OrmDev
  class Command
    class Setup < Command
      self.summary = '初始化pod仓库。'
      self.description = <<-DESC
          初始化pod仓库。
      DESC

      self.arguments = [
      ]

      def self.options
        [
        ].concat(super)
      end

      def initialize(argv)
        super
      end

      def validate!
        super
      end

      def run
        super
        OrmDev::LogUtil.info '[插件开发] 初始化pod仓库'.green
        OrmDev::SHUtil.run_command('pod repo add orm https://gitee.com/mvn/ios.git','更验证Pod',false)
        OrmDev::SHUtil.run_command('pod repo update','更验证Pod',false)
        OrmDev::LogUtil.info '创建插件工程：'
        OrmDev::LogUtil.info '   ormdev create CIPXxx'.magenta
        OrmDev::LogUtil.info '或者使用快速创建插件工程：'
        OrmDev::LogUtil.info '   ormdev create CIPXxx --fast'.magenta
      end
    end
  end
end